#ifndef __APP_LIB_EPD_IMPL_H
#define __APP_LIB_EPD_IMPL_H

#include "driver/spi_master.h"
#include "driver/gpio.h"

#include "gdew042t2_epd.h"

typedef struct {
    spi_device_handle_t spi_handle;
} app_lib_epd_impl_t;

void app_lib_epd_impl_init(app_lib_epd_impl_t *impl);
gd_epd_042_ret_t app_lib_epd_impl_reset(app_lib_epd_impl_t *impl);
gd_epd_042_ret_t app_lib_epd_delay_ms(app_lib_epd_impl_t *impl, uint32_t ms);
gd_epd_042_ret_t app_lib_epd_impl_write_cmd(app_lib_epd_impl_t *impl, uint8_t *cmd, uint8_t len);
gd_epd_042_ret_t app_lib_epd_impl_write_data(app_lib_epd_impl_t *impl, uint8_t *data, uint32_t len);
gd_epd_042_ret_t app_lib_epd_impl_poll_busy(app_lib_epd_impl_t *impl);

#endif