#include "esp_log.h"
#include "driver/i2c.h"

#include "user_board.h"

void app_lib_i2c_system_init(void) {
    i2c_config_t conf = {
        .mode = I2C_MODE_MASTER,
        .sda_io_num = BOARD_SYSTEM_I2C_SDA_PIN,
        .scl_io_num = BOARD_SYSTEM_I2C_SCL_PIN,
        .sda_pullup_en = GPIO_PULLUP_ENABLE,
        .scl_pullup_en = GPIO_PULLUP_ENABLE,
        .master.clk_speed = 100000
    };

    esp_err_t err = i2c_param_config(BOARD_SYSTEM_I2C_NUM, &conf);
    if(err != ESP_OK) return;

    i2c_driver_install(BOARD_SYSTEM_I2C_NUM, conf.mode, 0, 0, 0);
}